# Pool Information

## POST /sailfish/pools/query

> Query pool information by address

```json
{"openapi":"3.1.0","info":{"title":"Sailfish API","version":"1.0.0"},"servers":[{"url":"https://free.sailfish.solanavibestation.com","description":"Free tier"},{"url":"https://basic.sailfish.solanavibestation.com","description":"Basic tier (requires Authorization header)"}],"paths":{"/sailfish/pools/query":{"post":{"summary":"Query pool information by address","operationId":"fetchPoolInfo","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","description":"Pool address (e.g. Solana AMM pool address)"}}}},"responses":{"200":{"description":"Pool information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PoolInfo"}}}}}}}},"components":{"schemas":{"PoolInfo":{"type":"object","properties":{"pool_type":{"$ref":"#/components/schemas/PoolType"},"address":{"type":"string"},"quote_token":{"$ref":"#/components/schemas/TokenInfo"},"base_token":{"$ref":"#/components/schemas/TokenInfo"},"buy_path":{"type":"array","items":{"type":"string"}},"sell_path":{"type":"array","items":{"type":"string"}},"token_0":{"type":"string"},"token_1":{"type":"string"}},"required":["pool_type","address","quote_token","base_token","buy_path","sell_path","token_0","token_1"]},"PoolType":{"type":"string","enum":["RaydiumAmm","RaydiumCpmm","RaydiumClmm","RaydiumLaunchpad","PumpSwapAmm","PumpFunAmm","MeteoraDyn","MeteoraDynV2"]},"TokenInfo":{"type":"object","properties":{"address":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string"},"decimals":{"type":"integer"},"total_supply":{"type":"string"}},"required":["address","name","symbol","decimals","total_supply"]}}}}
```
